Bug 102395 - On ContentSection, locales and defaultLocale props overload a mapping table
Summary: On ContentSection, locales and defaultLocale props overload a mapping table
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-14 18:29 UTC by Justin Ross
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:42:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Ross 2003-08-14 18:29:23 UTC
The fix is to give defaultLocale a dedicated mapping.  We can remove some static
SQL while we are at it.

For historical purposes:

<danpb> two different associations using the same mapping table, with different
cardinality just seems wrong
<justin> I haven't seen that yet.  Which associations?
<danpb> it complains every time generate-sql is run
<danpb> contentsection <-> locales and contentsection <-> default locale
<-- vadim has quit (Client Exiting)
<rhs> justin says he'll fix it

Comment 1 Jon Orris 2006-09-05 17:42:21 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.